<!DOCTYPE html>
<html lang="ru">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Tag Page</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <script type="text/javascript" src="/js/sidebar.js"></script>
    <script type="text/javascript" src="/js/header.js"></script>
    <script type="text/javascript" src="/js/footer.js"></script>
</head>
<body class="bg-body-tertiary">
<!-- Header -->
<header id="header-placeholder" class="mb-4"></header>

<div class="container mp-4">
    <div class="row">
        <!-- Sidebar -->
        <div class="col-md-2">
            <div id="sidebar-placeholder"></div>
        </div>

        <!-- Основной контент -->
        <div class="col-md-10">
            <!-- Заголовок и описание -->
            <div class="row mb-4">
                <div class="col-12">
                    <h1 class="h2 mb-3">Теги</h1>
                    <p class="text-muted">
                        Тег — это ключевое слово или метка, которая классифицирует ваш вопрос вместе с другими,
                        похожими вопросами. Использование правильных тегов облегчает другим пользователям поиск
                        вашего вопроса и ответ на него.
                    </p>
                </div>
            </div>

            <!-- Фильтр по тегу -->
            <div class="d-flex justify-content-between align-items-center mb-4 w-100">
                <div class="input-group w-50">
                    <input type="text" class="form-control" placeholder="Фильтр по названию тега">
                    <button class="btn btn-outline-secondary" type="button">
                        <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-search" viewBox="0 0 16 16">
                            <path d="M11.742 10.344a6.5 6.5 0 1 0-1.397 1.398h-.001q.044.06.098.115l3.85 3.85a1 1 0 0 0 1.415-1.414l-3.85-3.85a1 1 0 0 0-.115-.1zM12 6.5a5.5 5.5 0 1 1-11 0 5.5 5.5 0 0 1 11 0"/>
                        </svg>
                    </button>
                </div>

                <!-- Группа кнопок -->
                <div class="btn-group">
                    <button type="button" class="btn btn-outline-secondary active">Популярные</button>
                    <button type="button" class="btn btn-outline-secondary">По имени</button>
                    <button type="button" class="btn btn-outline-secondary">Новые</button>
                </div>
            </div>

            <!-- Сетка тегов -->
            <div class="row row-cols-1 row-cols-sm-2 row-cols-md-3 row-cols-lg-4 g-4">
                <!-- Пример тега 1-->
                <div class="col">
                    <div class="card h-100">
                        <div class="card-body">
                            <div class="d-flex justify-content-between align-items-start mb-2">
                                <a href="#" class="fs-5 text-decoration-none text-dark bg-secondary bg-opacity-25 p-2 rounded fw-bold">Название тега 1</a>
                            </div>
                            <p class="card-text">
                                Описание тега 1
                            </p>
                            <span class="text-muted small">Дата создания тега 1</span>
                        </div>
                    </div>
                </div>

                <!-- Пример тега 2-->
                <div class="col">
                    <div class="card h-100">
                        <div class="card-body">
                            <div class="d-flex justify-content-between align-items-start mb-2">
                                <a href="#" class="fs-5 text-decoration-none text-dark bg-secondary bg-opacity-25 p-2 rounded fw-bold">Название тега 2</a>
                            </div>
                            <p class="card-text">
                                Описание тега 2
                            </p>
                            <span class="text-muted small">Дата создания тега 2</span>
                        </div>
                    </div>
                </div>
            </div>

            <!-- Страницы -->
            <nav class="mt-4" aria-label="Page navigation">
                <ul class="pagination justify-content-center">
                    <li class="page-item disabled">
                        <a class="page-link" href="#" tabindex="-1">Предыдущая</a>
                    </li>
                    <li class="page-item active"><a class="page-link" href="#">1</a></li>
                    <li class="page-item"><a class="page-link" href="#">2</a></li>
                    <li class="page-item"><a class="page-link" href="#">3</a></li>
                    <li class="page-item"><a class="page-link" href="#">4</a></li>
                    <li class="page-item"><a class="page-link" href="#">5</a></li>
                    <li class="page-item">
                        <a class="page-link" href="#">Следующая</a>
                    </li>
                </ul>
            </nav>
        </div>
    </div>
</div>

<!-- Footer -->
<footer id="footer-placeholder" class="mt-4"></footer>

<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
</body>
</html>